Change log for webkit package in Ubuntu

175 of 102 results
Deleted in trusty-proposed on 2014-03-16 (Reason: Replaced by webkitgtk)
webkit (1.10.2-0ubuntu4) trusty; urgency=medium

  * Apply a patch from another webkit to fix embedded copy of ANGLE FTBFS
    against bison 3.0.
 -- Dimitri John Ledkov <email address hidden>   Sat, 15 Mar 2014 23:47:47 +0000

Available diffs

Superseded in trusty-proposed on 2014-03-16
Obsolete in saucy-updates on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to -updates)
webkit (1.10.2-0ubuntu3) saucy; urgency=low

  * debian/patches/bugzilla_clear_surface.patch:
    - correctly clear the surfaces, should fix the software-center Xerrors
      reports. Thanks Benjamin Otte for the work on the issue
      (lp: #1211887)
 -- Sebastien Bacher <email address hidden>   Thu, 12 Dec 2013 10:40:49 +0100
Deleted in trusty-release on 2015-05-01 (Reason: Replaced by webkitgtk)
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to release)
webkit (1.10.2-0ubuntu2) saucy; urgency=low

  * Add basic AArch64 support, based on
    https://bugs.webkit.org/show_bug.cgi?id=116030 by Andreas Schwab.
 -- Colin Watson <email address hidden>   Sat, 12 Oct 2013 20:27:47 +0100
Deleted in quantal-proposed on 2013-11-08 (Reason: No SRU verification after 325 days)
webkit (1.10.2-0ubuntu0.12.10.1) quantal-security; urgency=low

  * New upstream stable release
    - see LP: #1089754 for USN information
  * Drop patch included in new upstream version
    - drop debian/patches/03_a11y_infinite_recursion.patch
    - update debian/patches/series

  * Changes backported from raring to support this new version; Thanks
    to Iain Lane for the changes in raring
    + Remove make versioned BD as the library has now been split up which means
      that we don't produce archives over 4G any more.
    + Fix symbol files
    + Explicitly BD on libxcomposite-dev and libxdamage-dev. These were pulled
      in implicitly before, but the build system checks for them directly.
 -- Micah Gersten <email address hidden>   Wed, 12 Dec 2012 21:54:24 -0600
Superseded in saucy-release on 2013-10-13
Obsolete in raring-release on 2015-04-24
Deleted in raring-proposed on 2015-04-27 (Reason: moved to release)
webkit (1.10.2-0ubuntu1) raring; urgency=low

  * New upstream release 1.10.2
    - WebCore has been split in a few more convenience libtool libraries,
      which should fix problems with linking in some architectures and
      with make's command line length limit.
    - WebKit2 introspection files will also be built if introspection is
      enabled.
    - Includes fixes for the following CVEs: CVE-2012-5112, CVE-2012-5133
    - Web audio has been fixed to use a GstBuffer per-channel when looping,
      which sidesteps a race when dealing with the object references. It
      also got improvements to error handling and ease of testing when loading
      resources.
  * debian/watch: Update to work with (new?) upstream URL scheme.
  * Remove -gstabs hack as the library has now been split up which means that
    we don't produce archives over 4G any more.
  * Remove make versioned BD for the same reason.
 -- Iain Lane <email address hidden>   Tue, 11 Dec 2012 09:39:18 +0000

Available diffs

Superseded in raring-release on 2012-12-13
Deleted in raring-proposed on 2012-12-14 (Reason: moved to release)
webkit (1.10.1-0ubuntu3) raring; urgency=low

  * Build for gstreamer 1.0 (switch BDs and pass --with-gstreamer=1.0)
 -- Iain Lane <email address hidden>   Thu, 29 Nov 2012 16:29:10 +0000

Available diffs

Superseded in raring-release on 2012-11-30
Deleted in raring-proposed on 2012-12-01 (Reason: moved to release)
webkit (1.10.1-0ubuntu2) raring; urgency=low

  * Fix symbol files (stupid size_t).
 -- Iain Lane <email address hidden>   Fri, 16 Nov 2012 17:25:39 +0000
Superseded in raring-proposed on 2012-11-16
webkit (1.10.1-0ubuntu1) raring; urgency=low

  * New upstream release 1.10.1
    - Fix an infinite recursive loop in the accessibility code when browsing
      pages with ARIA.
      + Drop debian/patches/03_a11y_infinite_recursion.patch accordingly
    - Fix the MinGW build in the spellchecker.
    - Restore support for Geode processors.
    - Use XDamage to improve accelerated compositing performance.
    - Fix a crash when accelerated compositing is disabled.
    - Fix a bug causing plugins to be invisible.
    - Fix accelerated content visibility issues on ATI drivers.
  * debian/watch: Update to correctly work with the upstream URL scheme.
  * Explicitly BD on libxcomposite-dev and libxdamage-dev. These were pulled
    in implicitly before, but the build system checks for them directly.
  * Disable JIT (--disable-jit) on armel/armhf, as there is a segfault in this
    code on pages that use javascript (the Ubuntu slideshow for example). (LP:
    #1066046)
 -- Iain Lane <email address hidden>   Wed, 17 Oct 2012 12:44:04 +0100
Obsolete in quantal-updates on 2015-04-24
Deleted in quantal-proposed on 2015-05-01 (Reason: moved to -updates)
webkit (1.10.0-0ubuntu1.1) quantal-proposed; urgency=low

  * Disable JIT (--disable-jit) on armel/armhf, as there is a segfault in this
    code on pages that use javascript (the Ubuntu slideshow for example). (LP:
    #1066046)
 -- Iain Lane <email address hidden>   Tue, 30 Oct 2012 13:28:53 +0000
Superseded in raring-release on 2012-11-17
Obsolete in quantal-release on 2015-04-24
Deleted in quantal-proposed on 2015-05-01 (Reason: moved to release)
webkit (1.10.0-0ubuntu1) quantal-proposed; urgency=low

  [ Sebastian Bacher ]
  * New upstream version (lp: #1011473)
  * debian/control:
    - build-depends on libgudev-1.0-dev and ruby1.9.1
    - updated libsoup requirement
  * debian/libwebkit*.symbols:
    - updated for the new version

  [ Iain Lane ]
  * Replace -g with -gstabs to try and make archives under 4gb
  * Update symbols files to include new C++ symbols
  * debian/rules
    - Pass -Wl,--reduce-memory-overheads again, for arm.
    - Disable the webkit2 build explicitly (the default changed, this is the
      same as we had before).
  * Version make BD so that we get a version with fixed argument length
    limitations.
  * debian/patches/03_a11y_infinite_recursion.patch: Add new upstream patch
    (r129246) to fix an infinite recursion error in
    WebCore::AXObjectCache::getOrCreate.
 -- Iain Lane <email address hidden>   Tue, 02 Oct 2012 11:29:09 +0100
Published in precise-updates on 2012-10-25
Published in precise-security on 2012-10-25
Deleted in precise-proposed (Reason: moved to -updates)
webkit (1.8.3-0ubuntu0.12.04.1) precise-security; urgency=low

  * New upstream security release
    - see LP: #1058339 for USN information
 -- Micah Gersten <email address hidden>   Fri, 28 Sep 2012 03:49:48 -0500
Superseded in quantal-release on 2012-10-09
Deleted in quantal-proposed on 2012-10-10 (Reason: moved to release)
webkit (1.9.2-1ubuntu4) quantal-proposed; urgency=low

  * fix LP: #1028486 - libwebkitgtk-3.0-0 recommending universe codecs;
    revert the last change and switch the Recommends on gst codecs to a
    Suggests as this is a more upstreamable diff; Since this library can be
    used for anything from simple HTML rendering to a full fledged browser
    engine, we don't want to pull in all of the gst codecs at this level
    - update debian/control
 -- Micah Gersten <email address hidden>   Tue, 24 Jul 2012 10:03:22 -0500

Available diffs

Superseded in precise-updates on 2012-10-25
Superseded in precise-security on 2012-10-25
Deleted in precise-proposed on 2012-10-26 (Reason: moved to -updates)
webkit (1.8.1-0ubuntu0.12.04.1) precise-security; urgency=low

  * New upstream security release
    - see LP: #1027283 for USN information
 -- Micah Gersten <email address hidden>   Fri, 20 Jul 2012 17:38:06 -0500
Superseded in quantal-release on 2012-07-27
Deleted in quantal-proposed on 2012-07-28 (Reason: moved to release)
webkit (1.9.2-1ubuntu3) quantal-proposed; urgency=low

  * debian/control: don't recommends universe gstreamer codecs
 -- Sebastien Bacher <email address hidden>   Fri, 20 Jul 2012 18:35:43 +0200
Superseded in quantal-release on 2012-07-22
webkit (1.9.2-1ubuntu2) quantal; urgency=low

  * debian/rules: use -Wl,--reduce-memory-overheads as well to see if it
    helps armel to build without hitting the buildds inactivity timeouts.
 -- Sebastien Bacher <email address hidden>   Thu, 19 Jul 2012 16:44:13 +0200

Available diffs

Deleted in quantal-proposed on 2012-07-20 (Reason: moved to release)
webkit (1.9.2-1ubuntu1) quantal-proposed; urgency=low

  * New upstream version (lp: #1011473)
  * symbols:
    - updated to fix some mismatches

Available diffs

Superseded in quantal-release on 2012-07-19
Published in precise-release on 2012-03-30
webkit (1.8.0-0ubuntu2) precise; urgency=low

  * debian/libwebkitgtk-1.0-0.symbols:
  * debian/libwebkitgtk-3.0-0.symbols:
    - Update symbols
 -- Robert Ancell <email address hidden>   Fri, 30 Mar 2012 10:31:41 +1100

Available diffs

Superseded in precise-release on 2012-03-30
webkit (1.8.0-0ubuntu1) precise; urgency=low

  * New upstream version
 -- Sebastien Bacher <email address hidden>   Thu, 29 Mar 2012 19:47:06 +0200

Available diffs

Superseded in precise-release on 2012-03-29
webkit (1.7.92-0ubuntu2) precise; urgency=low

  * Correctly update the .symbols this time
 -- Sebastien Bacher <email address hidden>   Tue, 20 Mar 2012 19:32:29 +0100

Available diffs

Superseded in precise-release on 2012-03-20
webkit (1.7.92-0ubuntu1) precise; urgency=low

  * New upstream version
 -- Sebastien Bacher <email address hidden>   Tue, 20 Mar 2012 15:36:47 +0100
Superseded in precise-release on 2012-03-20
webkit (1.7.91-0ubuntu1) precise; urgency=low

  * New upstream version
  * debian/patches/git_fix_gtk2_build.patch: dropped, it's included
 -- Sebastien Bacher <email address hidden>   Mon, 12 Mar 2012 11:25:48 +0100

Available diffs

Superseded in precise-release on 2012-03-12
webkit (1.7.90-0ubuntu1) precise; urgency=low

  * New upstream version
  * debian/control:
    - let the dev packages depends on glib which is a pkgconfig requires
    - updated glib and pango requirements
  * debian/libwebkitgtk-1.0-0.symbols,
    debian/libwebkitgtk-3.0-0.symbols:
    - new version update
  * debian/patches/01_double-conversion.patch:
    - dropped, the bug is fixed in the new version
  * debian/patches/03_fix-documentation-build.patch:
    - dropped, the issue are fixed in the new version
  * debian/patches/git_fix_gtk2_build.patch:
    - upstream patch, fix gtk2 build
  * debian/rules:
    - restore symbol checking enforcement
    - try to build with LDFLAGS = -Wl,--no-keep-memory to reduce the ld
      resource usage
 -- Sebastien Bacher <email address hidden>   Tue, 28 Feb 2012 19:29:08 +0100
Superseded in precise-release on 2012-03-01
webkit (1.7.5-0ubuntu3) precise; urgency=low

  * debian/libwebkitgtk-1.0-0.symbols,
    debian/libwebkitgtk-3.0-0.symbols:
    - updated using regexp to avoid differences between archs due to
      cpp symbols mangling
  * debian/rules:
    - lower again the check control in case the .symbols is wrong,
      using -c1 was not enough...
 -- Sebastien Bacher <email address hidden>   Fri, 10 Feb 2012 23:36:45 +0100

Available diffs

Superseded in precise-release on 2012-02-10
webkit (1.7.5-0ubuntu2) precise; urgency=low

  * debian/rules:
    - don't stop the build on non accurates .symbols to get it to build
 -- Sebastien Bacher <email address hidden>   Fri, 10 Feb 2012 19:25:19 +0100

Available diffs

Superseded in precise-release on 2012-02-10
webkit (1.7.5-0ubuntu1) precise; urgency=low

  * New upstream version, dropped patches which is in the new version
  * debian/patches/03_fix-documentation-build.patch:
    - updated, fixes new issue with the gtk2 documentation
  * debian/libwebkitgtk-1.0-0.symbols,
    debian/libwebkitgtk-3.0-0.symbols:
    - new version update
 -- Sebastien Bacher <email address hidden>   Thu, 09 Feb 2012 23:43:16 +0100

Available diffs

Superseded in precise-release on 2012-02-09
webkit (1.7.4-0ubuntu1) precise; urgency=low

  * New upstream version
  * debian/libwebkitgtk-1.0-0.symbols,
    debian/libwebkitgtk-3.0-0.symbols:
    - new version update
  * debian/libjavascriptcoregtk-1.0-dev.install,
    debian/libjavascriptcoregtk-3.0-dev.install,
    debian/libwebkitgtk-3.0-dev.install,
    debian/libwebkitgtk-dev.install:
    - updated for the new version
  * debian/patches/01_double-conversion.patch:
    - restore an updated version from Debian
  * debian/patches/02_notebook_scroll.patch:
    - don't apply this patch added by Debian,
      keep the upstream behaviour until we have a good reason to do otherwise
  * debian/patches/03_fix-documentation-build.patch:
    - Debian patch to fix the documentation build
  * debian/rules:
    - don't build with -j, it's buggy in the current version
    - updated documentation install taken from Debian git

  [ Jeremy Bicha ]
  * Fix build by using a regex for one of the symbols
  * debian/patches/04_fix-webview-in-offscreen-windows.patch:
    - bugs.webkit.org patch that should fix a Software Center crash
 -- Sebastien Bacher <email address hidden>   Wed, 25 Jan 2012 15:24:39 +0100

Available diffs

Obsolete in oneiric-updates on 2015-04-24
Deleted in oneiric-proposed on 2015-04-26 (Reason: moved to -updates)
webkit (1.4.3-0ubuntu4) oneiric-proposed; urgency=low

  * debian/libwebkitgtk-3.0-dev.links:
    - Link webkitgtk.devhelp2.gz to webkitgtk-3.0.devhelp2.gz
  * debian/patches/11_fix_doc_path.patch:
    - Use absolute path in makefile to fix out-of-tree build (LP: #900988)
 -- Jason Conti <email address hidden>   Wed, 07 Dec 2011 21:20:49 -0500

Available diffs

Superseded in precise-release on 2012-01-25
webkit (1.6.1-5build1) precise; urgency=low

  * Rebuild for libicu48.
 -- Colin Watson <email address hidden>   Tue, 22 Nov 2011 11:02:11 +0000

Available diffs

Superseded in precise-release on 2011-11-22
webkit (1.6.1-5) unstable; urgency=low

  * debian/rules:
  - also build with stabs debug symbols format when under s390x
    patch by Aurelien Jarno <email address hidden> (Closes: #637228)
  * debian/control:
  - add Breaks for midori and claws-mail-fancy-plugin versions that
    were using the private webkit_web_view_get_selected_text symbol
    (Closes: #646095)

Available diffs

Superseded in precise-release on 2011-11-10
Obsolete in oneiric-release on 2015-04-24
webkit (1.4.3-0ubuntu3) oneiric; urgency=low

  * debian/patches/10_cherrypick_r95940.patch:
    - Avoid crashing on scrollbar unparent/reparent (LP: #851044)
 -- Rodney Dawes <email address hidden>   Thu, 29 Sep 2011 14:54:29 -0400

Available diffs

Superseded in oneiric-release on 2011-09-29
webkit (1.4.3-0ubuntu2) oneiric; urgency=low

  * debian/rules: armel library has a ton of extra uninteresting
    JITStubThunked_* symbols; do not call dh_makeshlibs with -c4 on armel
    builds.
 -- Martin Pitt <email address hidden>   Fri, 09 Sep 2011 15:43:11 +0200

Available diffs

Superseded in oneiric-release on 2011-09-09
webkit (1.4.3-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * debian/libwebkitgtk-1.0-0.symbols: Update for new version.
  * debian/libwebkitgtk-3.0-0.symbols: Update for new version.
 -- Martin Pitt <email address hidden>   Wed, 07 Sep 2011 16:09:02 +0200

Available diffs

Obsolete in maverick-updates on 2013-03-05
Obsolete in maverick-security on 2013-03-05
webkit (1.2.7-0ubuntu0.10.10.1) maverick-security; urgency=low

  * SECURITY UPDATE: New upstream release to fix multiple security issues
    (LP: #814464)
    - CVE-2010-2901, CVE-2010-3812, CVE-2010-3813, CVE-2010-4040
    - CVE-2010-4197, CVE-2010-4198, CVE-2010-4199, CVE-2010-4204
    - CVE-2010-4206, CVE-2010-4492, CVE-2010-4493, CVE-2010-4577
    - CVE-2010-4578, CVE-2011-0482, CVE-2011-0778
  * Add patches from Debian for the following CVEs; Thanks to Michael Gilbert
    - CVE-2010-1824, CVE-2010-2646, CVE-2010-2651, CVE-2010-2900
    - CVE-2010-3120, CVE-2010-3254, CVE-2010-4042
  * Add patches from Debian to fix broken functionality and a crash; Thanks to
    Gustavo Noronha Silva
    - add debian/patches/07-fix-bad-merge-that-broke-gifs.patch
    - add debian/patches/08-fix-crash-for-big-shadowed-areas.patch
 -- Micah Gersten <email address hidden>   Fri, 22 Jul 2011 16:52:59 -0500
Obsolete in lucid-updates on 2016-10-26
Obsolete in lucid-security on 2016-10-26
webkit (1.2.7-0ubuntu0.10.04.1) lucid-security; urgency=low

  * SECURITY UPDATE: New upstream release to fix multiple security issues
    (LP: #814464)
    - CVE-2010-2901, CVE-2010-3812, CVE-2010-3813, CVE-2010-4040
    - CVE-2010-4197, CVE-2010-4198, CVE-2010-4199, CVE-2010-4204
    - CVE-2010-4206, CVE-2010-4492, CVE-2010-4493, CVE-2010-4577
    - CVE-2010-4578, CVE-2011-0482, CVE-2011-0778
  * Add patches from Debian for the following CVEs; Thanks to Michael Gilbert
    - CVE-2010-1824, CVE-2010-2646, CVE-2010-2651, CVE-2010-2900
    - CVE-2010-3120, CVE-2010-3254, CVE-2010-4042
  * Add patches from Debian to fix broken functionality and a crash; Thanks to
    Gustavo Noronha Silva
    - add debian/patches/07-fix-bad-merge-that-broke-gifs.patch
    - add debian/patches/08-fix-crash-for-big-shadowed-areas.patch
 -- Micah Gersten <email address hidden>   Fri, 22 Jul 2011 03:00:58 -0500
Superseded in oneiric-release on 2011-09-07
webkit (1.4.2-0ubuntu1) oneiric; urgency=low

  * New upstream version
  * 01_expose_less_symbols.patch:
    - dropped this debian patch, debian dropped it as well
  * 02_no_amd64_overcommit: dropped, the issue is fixed in this version
 -- Sebastien Bacher <email address hidden>   Mon, 11 Jul 2011 17:25:15 +0200

Available diffs

Superseded in oneiric-release on 2011-07-11
webkit (1.4.1-0ubuntu2) oneiric; urgency=low

  * 03_g_const_return.patch: upstream commit, don't use G_CONST_RETURN
 -- Sebastien Bacher <email address hidden>   Wed, 29 Jun 2011 16:08:21 +0100

Available diffs

Superseded in oneiric-release on 2011-06-29
webkit (1.4.1-0ubuntu1) oneiric; urgency=low

  * New upstream version, drop patches which are in the new version
  * Updated symbols lists
 -- Sebastien Bacher <email address hidden>   Tue, 07 Jun 2011 15:09:16 +0200

Available diffs

Superseded in oneiric-release on 2011-06-07
Obsolete in natty-release on 2013-06-04
webkit (1.3.13-0ubuntu2) natty; urgency=low

  * debian/patches/04_fix_header_for_strict.patch:
    - Add upstream patch to fix headers for compilation with strict mode
 -- Rodrigo Moya <email address hidden>   Wed, 20 Apr 2011 10:26:39 +0200
Superseded in natty-release on 2011-04-20
webkit (1.3.13-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/patches/03_fixing_jit_arm_crashes.patch:
    - Applied upstream
  * debian/patches/03_gtk_doc.patch:
    - Fix documentation build
 -- Robert Ancell <email address hidden>   Thu, 07 Apr 2011 09:14:12 +1000
Superseded in natty-release on 2011-04-07
webkit (1.3.12-0ubuntu3) natty; urgency=low

  [ Ricardo Salveti de Araujo ]
  * debian/patches/03_fixing_jit_arm_crashes.patch:
    - Fixing JIT ARM crashes (LP: #728211)
 -- Jani Monoses <email address hidden>   Thu, 10 Mar 2011 16:29:12 +0200
Superseded in natty-release on 2011-03-10
webkit (1.3.12-0ubuntu2) natty; urgency=low

  * Add bzr-builddeb configuration (merge mode).
  * Add 02_no_amd64_overcommit: Do not try to reserve 1 GB of memory for pool
    pages on x86_64, as this will crash on machines with less than ~ 1.5 GB
    RAM. This only works if overcommitting memory is enabled, which we don't
    have by default. (LP: #710582)
 -- Martin Pitt <email address hidden>   Mon, 28 Feb 2011 19:26:00 +0100

Available diffs

Superseded in natty-release on 2011-02-28
webkit (1.3.12-0ubuntu1) natty; urgency=low

  * New upstream release
  * Merge with Debian experimental, remaining Ubuntu changes:
  * debian/control:
    - Fix versions in build-depends
    - Don't build-depend on libgeoclue-dev (it's in Universe)
    - Add Vcs-Bzr link
    - Make libwebkitgtk-1.0-common conflict with libwebkit-1.0-common
  * debian/rules:
    - Fix documentation build
    - Disable geolocation support (dependencies in Universe)
  * debian/*.symbols:
    - Use regexp to add symbols that only appear on the ARM build
    - Use regexp to disable C++ private symbols
    - Remove geolocation symbols
    - Updated
 -- Robert Ancell <email address hidden>   Wed, 23 Feb 2011 16:02:22 +1100
Superseded in natty-release on 2011-02-24
webkit (1.3.11-0ubuntu3) natty; urgency=low

  * debian/control:
    - Use new libgail package names
 -- Robert Ancell <email address hidden>   Wed, 23 Feb 2011 10:39:00 +1100

Available diffs

Superseded in natty-release on 2011-02-23
webkit (1.3.11-0ubuntu2) natty; urgency=low

  * debian/control:
    - Use new GTK3 package names
 -- Robert Ancell <email address hidden>   Wed, 23 Feb 2011 10:19:42 +1100

Available diffs

Superseded in natty-release on 2011-02-23
webkit (1.3.11-0ubuntu1) natty; urgency=low

  * New upstream release (LP: #718474)
  * debian/control:
    - Bump build-depends on libsoup2.4-dev
  * debian/rules:
    - Use new paths
  * debian/libwebkitgtk-1.0-0.symbols:
  * debian/libwebkitgtk-3.0-0.symbols:
    - Updated
  * debian/patches/01_missing_armv7_files.patch:
  * debian/patches/10_gtk3.patch:
    - Applied upstream
  * debian/patches/01_gtk_doc_paths.patch:
    - Fix documentation paths
 -- Robert Ancell <email address hidden>   Fri, 18 Feb 2011 15:52:50 +1100
Superseded in natty-release on 2011-02-18
webkit (1.3.10-1ubuntu2) natty; urgency=low

  * debian/patches/10_gtk3.patch:
    - With GTK+ 3, include <gtk/gtkx.h> for GtkSocket (LP: #714457).
 -- Colin Watson <email address hidden>   Wed, 16 Feb 2011 17:10:57 +0000

Available diffs

Superseded in natty-release on 2011-02-16
webkit (1.3.10-1ubuntu1) natty; urgency=low

  * Synchronize on Debian, remaining diff is:
  * debian/libwebkitgtk-1.0-0.symbols, debian/libwebkitgtk-3.0-0.symbols:
    - Use regexp to add symbols that only appear on the ARM build
    - Use regexp to disable C++ private symbols
  * debian/patches/01_missing_armv7_files.patch:
    - Add files missing for ARMv7 build
  * debian/control, debian/rules:
    - build without geoclue, it's in universe

Superseded in natty-release on 2011-01-20
webkit (1.3.10-0ubuntu4) natty; urgency=low

  * debian/control:
    - add a explict conflict against libwebkit-1.0-2. This helps
      the apt resolver to cleanly upgrade and there is a implicit
      conflict there already (because of the conflicting -common)
      packages
 -- Michael Vogt <email address hidden>   Mon, 17 Jan 2011 12:18:49 +0100

Available diffs

Superseded in natty-release on 2011-01-17
webkit (1.3.10-0ubuntu3) natty; urgency=low

  * debian/libwebkitgtk-1.0-0.symbols:
    - Use regexp to add symbols that only appear on the ARM build
 -- Robert Ancell <email address hidden>   Thu, 13 Jan 2011 09:55:50 -0600

Available diffs

Superseded in natty-release on 2011-01-13
webkit (1.3.10-0ubuntu2) natty; urgency=low

  * debian/libwebkitgtk-1.0-0.symbols:
    - Use regexp to disable C++ private symbols
 -- Robert Ancell <email address hidden>   Wed, 12 Jan 2011 15:03:55 -0600
Superseded in natty-release on 2011-01-13
webkit (1.3.10-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/libwebkitgtk-1.0-0.symbols:
    - Updated
    - Use unmangled names for C++ symbols
    - Mark C++ symbols as optional (they should be private)
  * debian/patches/01_missing_armv7_files.patch:
    - Add files missing for ARMv7 build
 -- Robert Ancell <email address hidden>   Wed, 12 Jan 2011 10:09:19 -0600

Available diffs

Superseded in natty-release on 2011-01-12
webkit (1.3.9-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/control:
    - Add build-depends on libglib2.0-dev
    - Bump build-depends on libgail-dev, libgirepository1.0-dev,
      gobject-introspection
    - Rename packages from libwebkit to libwebkitgtk
    - Rename gir1.0 package to gir1.2
  * debian/*.install:
    - Update for new package/library names
  * debian/libwebkitgtk-1.0-0.symbols:
    - Updated
  * debian/rules:
    - Build with --with-gtk=2.0
    - Update for new package names
  * debian/watch:
    - Add watch file
  * debian/patches/04-spoof-user-agent-to-google.patch:
  * debian/patches/ubuntu-gir-version.patch:
    - Applied upstream
  * debian/patches/02-pool-fixup-and-sparc-support.patch:
  * debian/patches/05-fix-jit-on-kfreebsd-i386.patch:
    - Disabled, the don't apply and we don't support these architectures
  * debian/patches/cve-2010-3120.patch:
  * debian/patches/cve-2010-2901.patch:
  * debian/patches/cve-2010-2900.patch:
  * debian/patches/cve-2010-2651.patch:
  * debian/patches/cve-2010-2646.patch:
    - Applied upstream
 -- Robert Ancell <email address hidden>   Tue, 11 Jan 2011 03:56:19 +1100

Available diffs

Superseded in natty-release on 2011-01-11
webkit (1.2.5-0ubuntu3) natty; urgency=low

  * debian/patches/ubuntu-gir-version.patch:
    - Simplify patch to fix FTBFS
 -- Robert Ancell <email address hidden>   Thu, 21 Oct 2010 13:40:42 +1100

Available diffs

Superseded in natty-release on 2010-10-21
webkit (1.2.5-0ubuntu2) natty; urgency=low

  * New upstream release
  * debian/patches/ubuntu-gir-version.patch:
    - Update to version 1.2
 -- Robert Ancell <email address hidden>   Tue, 19 Oct 2010 15:53:12 +1100

Available diffs

Superseded in natty-release on 2010-10-19
webkit (1.2.5-0ubuntu1) natty; urgency=low

  * New upstream release
 -- Robert Ancell <email address hidden>   Mon, 18 Oct 2010 20:17:09 +1100

Available diffs

Superseded in natty-release on 2010-10-18
webkit (1.2.4-1ubuntu2) natty; urgency=low

  * debian/patches/ubuntu-gir-version.patch:
    - Use the 1.2 gobject introspection abi
 -- Robert Ancell <email address hidden>   Mon, 18 Oct 2010 14:03:26 +1100

Available diffs

Superseded in maverick-security on 2011-08-23
Superseded in maverick-updates on 2011-08-23
Deleted in maverick-proposed on 2011-08-24 (Reason: moved to -updates)
webkit (1.2.5-0ubuntu0.10.10.1) maverick-security; urgency=low

  * SECURITY UPDATE: Updated to new stable release 1.2.5 to fix multiple
    security issues. (LP: #660075)
    - CVE-2010-1780
    - CVE-2010-1807
    - CVE-2010-1812
    - CVE-2010-1814
    - CVE-2010-1815
    - CVE-2010-3113
    - CVE-2010-3114
    - CVE-2010-3115
    - CVE-2010-3116
    - CVE-2010-3257
    - CVE-2010-3259
 -- Marc Deslauriers <email address hidden>   Wed, 13 Oct 2010 13:43:51 -0400
Superseded in lucid-security on 2011-08-23
Superseded in lucid-updates on 2011-08-23
Deleted in lucid-proposed on 2011-08-24 (Reason: moved to -updates)
webkit (1.2.5-0ubuntu0.10.04.1) lucid-security; urgency=low

  * SECURITY UPDATE: Rebuilt new stable release 1.2.5 for lucid to fix
    multiple security issues. (LP: #660075)
     - CVE-2010-1386, CVE-2010-1392, CVE-2010-1405, CVE-2010-1407
     - CVE-2010-1412, CVE-2010-1416, CVE-2010-1417, CVE-2010-1418
     - CVE-2010-1419, CVE-2010-1421, CVE-2010-1422, CVE-2010-1501
     - CVE-2010-1664, CVE-2010-1665, CVE-2010-1758, CVE-2010-1759
     - CVE-2010-1760, CVE-2010-1761, CVE-2010-1762, CVE-2010-1767
     - CVE-2010-1770, CVE-2010-1771, CVE-2010-1772, CVE-2010-1773
     - CVE-2010-1774, CVE-2010-1780, CVE-2010-1781, CVE-2010-1782
     - CVE-2010-1783, CVE-2010-1784, CVE-2010-1785, CVE-2010-1786
     - CVE-2010-1787, CVE-2010-1788, CVE-2010-1790, CVE-2010-1792
     - CVE-2010-1793, CVE-2010-1807, CVE-2010-1812, CVE-2010-1814
     - CVE-2010-1815, CVE-2010-2264, CVE-2010-2647, CVE-2010-2648
     - CVE-2010-3113, CVE-2010-3114, CVE-2010-3115, CVE-2010-3116
     - CVE-2010-3248, CVE-2010-3257, CVE-2010-3259
  * debian/patches/ubuntu-gir-version.patch: removed for lucid
  * debian/control: add gir-repository-dev back to build-depends for lucid
 -- Marc Deslauriers <email address hidden>   Wed, 13 Oct 2010 13:39:02 -0400
Obsolete in karmic-security on 2013-03-04
Obsolete in karmic-updates on 2013-03-04
Deleted in karmic-proposed on 2013-03-04 (Reason: moved to -updates)
webkit (1.2.5-0ubuntu0.9.10.1) karmic-security; urgency=low

  * SECURITY UPDATE: Rebuilt new stable release 1.2.5 for karmic to fix
    multiple security issues. (LP: #660075)
     - CVE-2009-2797, CVE-2009-2841, CVE-2010-0046, CVE-2010-0047
     - CVE-2010-0048, CVE-2010-0049, CVE-2010-0050, CVE-2010-0051
     - CVE-2010-0052, CVE-2010-0053, CVE-2010-0054, CVE-2010-0314
     - CVE-2010-0647, CVE-2010-0650, CVE-2010-0651, CVE-2010-0656
     - CVE-2010-1386, CVE-2010-1387, CVE-2010-1389, CVE-2010-1390
     - CVE-2010-1391, CVE-2010-1392, CVE-2010-1393, CVE-2010-1394
     - CVE-2010-1395, CVE-2010-1396, CVE-2010-1397, CVE-2010-1398
     - CVE-2010-1400, CVE-2010-1401, CVE-2010-1402, CVE-2010-1403
     - CVE-2010-1404, CVE-2010-1405, CVE-2010-1406, CVE-2010-1407
     - CVE-2010-1408, CVE-2010-1409, CVE-2010-1410, CVE-2010-1412
     - CVE-2010-1414, CVE-2010-1415, CVE-2010-1416, CVE-2010-1417
     - CVE-2010-1418, CVE-2010-1419, CVE-2010-1421, CVE-2010-1422
     - CVE-2010-1501, CVE-2010-1664, CVE-2010-1665, CVE-2010-1758
     - CVE-2010-1759, CVE-2010-1760, CVE-2010-1761, CVE-2010-1762
     - CVE-2010-1764, CVE-2010-1766, CVE-2010-1767, CVE-2010-1770
     - CVE-2010-1771, CVE-2010-1772, CVE-2010-1773, CVE-2010-1774
     - CVE-2010-1780, CVE-2010-1781, CVE-2010-1782, CVE-2010-1783
     - CVE-2010-1784, CVE-2010-1785, CVE-2010-1786, CVE-2010-1787
     - CVE-2010-1788, CVE-2010-1790, CVE-2010-1792, CVE-2010-1793
     - CVE-2010-1807, CVE-2010-1812, CVE-2010-1814, CVE-2010-1815
     - CVE-2010-2264, CVE-2010-2647, CVE-2010-2648, CVE-2010-3113
     - CVE-2010-3114, CVE-2010-3115, CVE-2010-3116, CVE-2010-3248
     - CVE-2010-3257, CVE-2010-3259
  * debian/control, debian/rules, debian/gir1.0-webkit-1.0.install,
    debian/libwebkit-dev.install: don't build introspection support for
    karmic.
  * debian/patches/ubuntu-gir-version.patch: removed for karmic
  * debian/patches/karmic-libsoup-version.patch: Revert libsoup
    Content-Encoding support since we only have libsoup2.4 2.28.1 in
    karmic.
  * debian/control: changed libsoup2.4 dependency for version in karmic
  * debian/rules, debian/control: Don't use source format 3.0 for karmic,
    but add quilt patch system.
 -- Marc Deslauriers <email address hidden>   Wed, 13 Oct 2010 13:23:26 -0400
Superseded in natty-release on 2010-10-18
Obsolete in maverick-release on 2013-03-05
webkit (1.2.4-1ubuntu1) maverick; urgency=low

  * Resync on Debian,
    remaining changes:
  * debian/control:
    - don't build-depends on gir-repository-dev it's not required
  * debian/patches/ubuntu-gir-version.patch:
    - use the current gobject introspection abi

Available diffs

Superseded in maverick-release on 2010-09-06
webkit (1.2.3-2ubuntu2) maverick; urgency=low

  * Cherry-pick from Debian's git repository:
    - Do not print a debugging message before doing the domain check
      (Gustavo Noronha Silva).
 -- Colin Watson <email address hidden>   Fri, 03 Sep 2010 17:51:54 +0100

Available diffs

Superseded in maverick-release on 2010-09-03
webkit (1.2.3-2ubuntu1) maverick; urgency=low

  * Resync on Debian
  * WebKit/gtk/JSCore-1.0.gir:
    - updated for the new gobject introspection version
    - don't update the js version, thanks Maia Kozheva (lp: #616387)

Available diffs

Superseded in maverick-release on 2010-08-11
webkit (1.2.3-1ubuntu1) maverick; urgency=low

  * WebKit/gtk/JSCore-1.0.gir: set gir version to 1.1
 -- Sebastien Bacher <email address hidden>   Tue, 10 Aug 2010 21:23:22 +0200

Available diffs

Superseded in maverick-release on 2010-08-10
webkit (1.2.3-1build1) maverick; urgency=low

  * Rebuild with the new gobject introspection
 -- Sebastien Bacher <email address hidden>   Tue, 10 Aug 2010 19:28:07 +0200

Available diffs

Superseded in maverick-release on 2010-08-10
webkit (1.2.3-1) unstable; urgency=low

  * New upstream stable release
  - fixes building with ICU 4.4.1 (Closes: #589046)
  - all CVE patches included, so drop them

Available diffs

Superseded in maverick-release on 2010-07-16
webkit (1.2.1-2) unstable; urgency=high

  * debian/patches/01-fix-bashism-in-build.diff:
  - remove bashism from the code that handles Web Inspector files,
    that end up not being installed. (Closes: #581893)
  * Marking this release as urgency=high, given the 1.2.0 series was
    already well tested, and testing has a quite buggy version for some
    time now.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  18 May 2010 11:17:07 +0100

Available diffs

Superseded in maverick-release on 2010-05-18
webkit (1.2.1-1) unstable; urgency=low

  [Michael Gilbert]
  * Convert to source format version 3.0 (quilt) to make it easier to support
    security backports in the future.
    - Create patches for existing debian modifications (sparc-support.patch
      and pool-fixup.patch)
  * Use ${misc:Depends}.
  * Bump standards to 3.8.4 (no changes required).

  [ Gustavo Noronha Silva ]
  * New upstream release
  - fixes SPARC build (Closes: #579472)
 -- Ubuntu Archive Auto-Sync <email address hidden>   Sat,  15 May 2010 08:11:10 +0100

Available diffs

Superseded in maverick-release on 2010-05-15
Obsolete in lucid-release on 2016-10-26
webkit (1.2.0-1) unstable; urgency=low

  * New upstream release - this is the first release in the 1.2 stable
    branch
 -- Sebastien Bacher <email address hidden>   Thu,  08 Apr 2010 22:40:12 +0100

Available diffs

Superseded in lucid-release on 2010-04-08
webkit (1.1.90-1) unstable; urgency=low

  * New upstream release
  - This marks the preparation for the 1.2 stable branch
  * debian/copyright:
  - updated with changes since 1.1.22
  * debian/libwebkit-1.0-2.symbols:
  - added new API introduced in 1.1.23
 -- Sebastien Bacher <email address hidden>   Fri,  19 Mar 2010 17:59:51 +0000

Available diffs

Superseded in lucid-release on 2010-03-19
webkit (1.1.22-1) unstable; urgency=low

  * New upstream release
  - Fixes crash with unknown content types in data:// URIs
    (Closes: #563695)
  - Sends Accept header for sub resources, which makes a few sites become
    happy again (Closes: #563736)
  * debian/copyright:
  - updated with changes since 1.1.21
  * debian/control:
  - replace gobject-introspection-repository, to avoid failures on upgrade
    (Closes: #563312)
 -- Sebastien Bacher <email address hidden>   Mon,  01 Mar 2010 14:28:56 +0000

Available diffs

Superseded in lucid-release on 2010-03-01
webkit (1.1.21-2) unstable; urgency=low

  * debian/control:
  - Build-Depend on soup 2.29.90; WebKitGTK+'s configure system checks for
    this version to enable cookie policy-related features, and we want
    those on for sure
  * Import patch from upstream to fix crash when returning to a cached page
    which has data: uris, and is in the page cache (Closes: #569950)
 -- Sebastien Bacher <email address hidden>   Tue,  16 Feb 2010 11:47:09 +0000

Available diffs

Superseded in lucid-release on 2010-02-16
webkit (1.1.21-1) unstable; urgency=low

  * New upstream release
  - imported a number of fixes to the scrolling code that made navigating
    the history crashy with page cache enabled (Closes: #569072)
  * debian/copyright:
  - updated with changes since 1.1.20.
  * debian/libwebkit-1.0-2.symbols:
  - added a symbol that was added in 1.1.21.
 -- Sebastien Bacher <email address hidden>   Thu,  11 Feb 2010 10:18:40 +0000

Available diffs

Superseded in lucid-release on 2010-02-11
webkit (1.1.20-1) unstable; urgency=low

  * New upstream release
  * debian/copyright:
  - Updated with changes since 1.1.19.
 -- Sebastien Bacher <email address hidden>   Fri,  05 Feb 2010 18:38:50 +0000

Available diffs

Superseded in lucid-release on 2010-02-05
webkit (1.1.19-1) unstable; urgency=low

  * New upstream release
  - Fixes crashes related to clearing the clipboard, which many users were
    experiencing (Closes: #565166)

Available diffs

Superseded in lucid-release on 2010-01-26
webkit (1.1.18-1) unstable; urgency=low

  * New upstream release
  - adds basic Content-Encoding support, thanks to soup
    (Closes: #529271)
  - fixes over-advertising content types as supported by
    the media player (Closes: #559420)
  * debian/control:
  - updated libsoup build requirement (>= 2.28.2)
  * debian/libwebkit-1.0-2.symbols:
  - updated with new symbols
  * debian/copyright:
  - updated information since 1.1.17
  * Imported patch from https://bugs.webkit.org/show_bug.cgi?id=30623
  - I am shipping this patch because I believe it is correct, it is the
    way to go, it fixes a race, and it needs testing.

Available diffs

175 of 102 results